Multi Skype Launcher

Run multiple Skype accounts
on one computer

It has never been that easy


What are the requirements for using Multi Skype Launcher?

To benefit from Multi Skype Laucner you need to use Skype version 4 or higher and Windows XP/Vista/7.